/*

Código fuente creado por JailDesigner (2020)
Empezado en Castalla el 15/07/2020.
Reescribiendo el código el 27/09/2022
Actualizando a la versión "Arcade Edition" en 08/05/2024

*/

#include <memory>     // Para make_unique, unique_ptr
#include "director.h" // Para Director

int main(int argc, char *argv[])
{
    // Crea el objeto Director
    auto director = std::make_unique<Director>(argc, const_cast<const char **>(argv));

    // Bucle principal
    return director->run();
}
